=== debian/changelog ===
tin (1:2.6.4~20240801-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 03 Aug 2024 10:44:48 +0200
