=== debian/changelog ===
tin (1:2.6.4~20240917-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Wed, 18 Sep 2024 21:52:25 +0200
