=== debian/changelog ===
tin (1:2.6.4~20241019-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 20 Oct 2024 22:34:05 +0200
