## tin 2.6.4~20241109

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20241019
+DVER	= 20241109
 EXE	= tin
 
 # directory structure
