=== debian/changelog ===
tin (1:2.6.4~20241109-2) unstable; urgency=medium

  * Fix the generated Sender header.

 -- Marco d'Itri <md@linux.it>  Wed, 13 Nov 2024 17:11:28 +0100

tin (1:2.6.4~20241109-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 10 Nov 2024 02:07:44 +0100
