=== debian/changelog ===
tin (1:2.6.4~20241128-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use libidn2 and liburiparser.
  * Use --enable-long-article-numbers.

 -- Marco d'Itri <md@linux.it>  Sun, 01 Dec 2024 19:10:08 +0100
