=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 		--with-nntp-default-server=localhost \
 		--with-screen=ncursesw --enable-nntp --enable-ipv6 \
 		--enable-included-msgs --enable-nls \
+		--enable-long-article-numbers \
 		--enable-mh-mail-handling --enable-cancel-locks \
 		--enable-heapsort --enable-debug --with-pkg-config \
 		--with-mime-default-charset=ISO-8859-15
