## tin 2.6.4

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20241128
+DVER	= 20241224
 EXE	= tin
 
 # directory structure
