=== debian/changelog ===
tin (1:2.6.4-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + Various markup issues in man pages. (Closes: #1089489)

 -- Marco d'Itri <md@linux.it>  Fri, 03 Jan 2025 14:09:16 +0100
