=== debian/control ===
Source: tin
Section: news
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper-compat (= 13), pkgconf,
 bison,
 libcanlock-dev,
 libgsasl-dev,
 libicu-dev,
 libidn2-dev,
 libncurses-dev,
 libpcre2-dev,
 libssl-dev,
 liburiparser-dev,
 libuu-dev,
 zlib1g-dev,
Standards-Version: 4.7.0.0
Rules-Requires-Root: no
Homepage: http://www.tin.org/
Vcs-Git: https://salsa.debian.org/md/tin.git
Vcs-Browser: https://salsa.debian.org/md/tin

Package: tin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: default-mta | mail-transport-agent
Suggests: gnupg, ispell
Provides: news-reader
Description: Full-screen easy to use Usenet newsreader
 tin can read news locally (i.e. from /var/spool/news) or remotely (rtin or
 tin -r option) via an NNTP (Network News Transport Protocol) server.
