=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 
 %:
 	dh $@
-
-override_dh_clean:
-	dh_clean doc/CHANGES.tmp
 
 override_dh_autoreconf:
