## tin 2.6.5~20250209

=== debian/changelog ===
tin (1:2.6.5~20250209-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + Various markup issues in man pages. (Closes: #1093395)

 -- Marco d'Itri <md@linux.it>  Sun, 16 Feb 2025 18:38:27 +0100
