=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper-compat (= 13), pkgconf,
  bison,
  libcanlock-dev,
+ libcurl-dev,
  libgsasl-dev,
  libicu-dev,
  libidn2-dev,
