=== debian/changelog ===
tin (1:2.6.5~20250309-2) unstable; urgency=medium

  * Applied patch fix_null_fclose from the upstream maintainer to fix
    a possible segmentation fault. The bug was introduced in -1.

 -- Marco d'Itri <md@linux.it>  Tue, 11 Mar 2025 00:54:16 +0100

tin (1:2.6.5~20250309-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + Various markup issues in man pages. (Closes: #1096177)

 -- Marco d'Itri <md@linux.it>  Mon, 10 Mar 2025 23:41:30 +0100
