=== debian/changelog ===
tin (1:2.6.5~20250409-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Fri, 11 Apr 2025 00:14:16 +0200
