## tin 2.6.5~20250707

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2025-01-09
+# Updated: 2025-04-25
 #
 
 SHELL	= @SHELL@
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 5
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20250409
+DVER	= 20250707
 EXE	= tin
 
 # directory structure
@@ -57,6 +57,7 @@
 	$(SRCDIR)/color.c \
 	$(SRCDIR)/config.c \
 	$(SRCDIR)/cook.c \
+	$(SRCDIR)/crc32.c \
 	$(SRCDIR)/curses.c \
 	$(SRCDIR)/debug.c\
 	$(SRCDIR)/envarg.c \
@@ -474,4 +475,3 @@
 # I know it's ugly, but it works
 #
 name:
-	@DATE=`date +%Y%m%d` ; NAME=`basename \`pwd\`` ;\
