=== debian/changelog ===
tin (1:2.6.5~20250707-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Tue, 08 Jul 2025 10:49:04 +0200

tin (1:2.6.5~20250519-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Tue, 20 May 2025 22:28:49 +0200
