=== debian/changelog ===
tin (1:2.6.5~20250806-1) experimental; urgency=medium

  * New upstream snapshot.
    - Adds the keep_expired_filters option. (Closes: #1109039)

 -- Marco d'Itri <md@linux.it>  Thu, 07 Aug 2025 22:59:51 +0200
