=== debian/changelog ===
tin (1:2.6.5~20250919-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + Using To/Cc/Bcc in mailing_list-groups. (Closes: #250317)

 -- Marco d'Itri <md@linux.it>  Fri, 19 Sep 2025 18:11:22 +0200
