=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sign/ \
ftp://ftp.tin.org/pub/news/clients/tin/v2.6/tin-([\d\.]+)\.tar\.xz
