## tin 2.6.5~20251030

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 5
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20250919
+DVER	= 20251030
 EXE	= tin
 
 # directory structure
