=== debian/changelog ===
tin (1:2.6.5~20251030-1) unstable; urgency=medium

  * New upstream snapshot.
  * Updated one or more debconf translations.

 -- Marco d'Itri <md@linux.it>  Sat, 01 Nov 2025 00:39:57 +0100
