=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  liburiparser-dev,
  libuu-dev,
  zlib1g-dev,
-Standards-Version: 4.7.0.0
+Standards-Version: 4.7.2.0
 Rules-Requires-Root: no
 Homepage: http://www.tin.org/
 Vcs-Git: https://salsa.debian.org/md/tin.git
