=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	dh_auto_configure -- \
 		--with-pcre2-config --with-domain-name=/etc/mailname \
 		--with-nntps=openssl \
+		--with-url-normalization=curl \
 		--with-mailbox=/var/mail \
 		--with-editor=/usr/bin/editor --with-ispell=ispell \
 		--without-pgp --without-pgpk --with-gpg=gpg \
