=== debian/watch ===
Version: 5

Source: ftp://ftp.tin.org/pub/news/clients/tin/v2.6/snapshots/
Matching-Pattern: tin-@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/$/.sign/
