## tin 2.6.5

=== debian/changelog ===
tin (1:2.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 03 Jan 2026 22:35:14 +0100
