=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), pkgconf,
  bison,
  libcanlock-dev,
- libcurl-dev,
+ libcurl4-openssl-dev | libcurl-dev,
  libgsasl-dev,
  libicu-dev,
  libidn2-dev,
