## tin 2.6.6~20260126

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2025-04-25
+# Updated: 2026-01-05
 #
 
 SHELL	= @SHELL@
@@ -9,9 +9,9 @@
 PROJECT	= tin
 LVER	= 2
 PVER	= 6
-SVER	= 5
+SVER	= 6
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20251030
+DVER	= 20260126
 EXE	= tin
 
 # directory structure
@@ -333,6 +333,9 @@
 	$(POMANDIR)/ro/tin.1 \
 	$(POMANDIR)/ro/tin.5 \
 	$(POMANDIR)/ro.po \
+	$(POMANDIR)/sv/tin.1 \
+	$(POMANDIR)/sv/tin.5 \
+	$(POMANDIR)/sv.po \
 	$(POMANDIR)/tin-man.pot
 
 ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(POFILES) $(L10NFILES)
@@ -472,4 +475,3 @@
 	| $(TR) -s '[[:space:]]' "[\012*]" \
 	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
 	| $(TR) "[\012]" " "`
-	@$(XZ) -z -F xz -9e $(PROJECT)-$(VER).tar
