=== debian/changelog ===
tin (1:2.6.6~20260126-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Tue, 17 Feb 2026 22:22:32 +0100
