## tin 2.6.6~20260222

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 6
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20260126
+DVER	= 20260222
 EXE	= tin
 
 # directory structure
@@ -306,6 +306,8 @@
 	$(PODIR)/et.po \
 	$(PODIR)/fr.gmo \
 	$(PODIR)/fr.po \
+	$(PODIR)/ka.gmo \
+	$(PODIR)/ka.po \
 	$(PODIR)/ro.gmo \
 	$(PODIR)/ro.po \
 	$(PODIR)/ru.gmo \
@@ -473,5 +475,3 @@
 	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
 	`$(ECHO) $(ALL_FILES) \
 	| $(TR) -s '[[:space:]]' "[\012*]" \
-	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
-	| $(TR) "[\012]" " "`
