=== debian/changelog ===
tin (1:2.6.6~20260222-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Mon, 23 Feb 2026 23:08:59 +0100
