=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  bison,
  libcanlock-dev,
  libcurl4-openssl-dev | libcurl-dev,
+ libexttextcat-dev,
  libgsasl-dev,
  libicu-dev,
  libidn2-dev,
@@ -15,7 +16,7 @@
  liburiparser-dev,
  libuu-dev,
  zlib1g-dev,
-Standards-Version: 4.7.2.0
+Standards-Version: 4.7.3.0
 Rules-Requires-Root: no
 Homepage: http://www.tin.org/
 Vcs-Git: https://salsa.debian.org/md/tin.git
